import request from '@/config/axios'
import {UnwrapRef} from "vue";

export interface User {
  id: number
  avatar: string | undefined
  birthday: number | undefined
  createTime: number | undefined
  loginDate: number | undefined
  loginIp: string
  mark: string
  mobile: string
  name: string | undefined
  nickname: string | undefined
  registerIp: string
  sex: number
  status: number
  areaId: number | undefined
  areaName: string | undefined
  levelName: string | null
  point: number | undefined | null
  totalPoint: number | undefined | null
  experience: number | null | undefined
}

// 查询会员用户列表
export const getUserPage = async (params) => {
  return await request.get({url: `/coach/user`, params})
}

// 查询技工申请详情
export const getUserApply = async (id: number) => {
  return await request.get({url: `/coach/user/apply/` + id})
}

// 授权审核
export const updateUserApply = async (data: UnwrapRef<{ id: undefined; verifyText: undefined; status: number }>, id: UnwrapRef<undefined>) => {
  return await request.put({url: `/coach/user/apply/${id}`, data})
}

// 重新授权
export const updateUserReapply = async (data: UnwrapRef<{ id: undefined; verifyText: undefined; status: number }>, id: UnwrapRef<undefined>) => {
  return await request.put({url: `/coach/user/reapply/${id}`, data})
}

// 认证审核
export const updateUserAuth = async (data: UnwrapRef<{ id: undefined; authText: undefined; authStatus: number }>, id: UnwrapRef<undefined>) => {
  return await request.put({url: `/coach/user/auth/${id}`, data})
}

// 查询技工认证详情
export const getUserAuth = async (id: number) => {
  return await request.get({url: `/coach/user/auth/` + id})
}


