import request from '@/config/axios'

export interface Category {
  id: number
  title: string
  cover: string
  sort: number
  status: number
  createTime: Date
}

// 查询菜单（精简）列表
export const getSimpleCategoryList = () => {
  return request.get({ url: '/service/category/simple' })
}

// 查询菜单列表
export const getCategoryList = (params) => {
  return request.get({ url: '/service/category', params })
}

// 获取菜单详情
export const getCategory = (id: number) => {
  return request.get({ url: '/service/category/' + id })
}

// 新增菜单
export const createCategory = (data: Category) => {
  return request.post({ url: '/service/category', data })
}

// 修改菜单
export const updateCategory = (data: Category) => {
  return request.put({ url: '/service/category/'+data.id, data })
}

// 删除菜单
export const deleteCategory = (id: number) => {
  return request.delete({ url: '/service/category/' + id })
}
