import request from '@/config/axios'

export interface Project {
  id: number,
  title: string,
  subTitle: string,
  status: number,
  category: number[],
  cover: string,
  price: number,
  initPrice: number,
  materialPrice: number,
  sale: number,
  timeLong: number,
  comBalance: number,
  sort: number,
  isStore: boolean,
  isDoor: boolean,
  isAdd: boolean,
  introduce: string,
  explain: string,
  notice: string,
  createTime: Date
}

// 查询服务项目列表
export const getProjectPage = (params) => {
  return request.get({ url: '/service/project', params })
}

// 获取服务项目详情
export const getProject = (id: number) => {
  return request.get({ url: '/service/project/' + id })
}

// 新增服务项目
export const createProject = (data: Project) => {
  return request.post({ url: '/service/project', data })
}

// 修改服务项目
export const updateProject = (data: Project) => {
  return request.put({ url: '/service/project/'+data.id, data })
}

// 删除服务项目
export const deleteProject = (id: number) => {
  return request.delete({ url: '/service/project/' + id })
}
